commit 2f9585392da2f8c570fe879adbd08a6b0bfdc496
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Thu Sep 26 23:36:46 2024 +0100

    libstdc++: Add missing 'inline' to always_inline function
    
    This fixes a -Wattributes warning for the COW std::string which was
    previously suppressed due to being in a system header.
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/cow_string.h (__resize_for_overwrite): Add
            inline keyword to function with always_inline attribute.
    
    (cherry picked from commit 48e1b89f14f5eab9eb3f61830f608d92c4ee54b6)

diff --git a/libstdc++-v3/include/bits/cow_string.h b/libstdc++-v3/include/bits/cow_string.h
index 5d81bfc1230..36599a20423 100644
--- a/libstdc++-v3/include/bits/cow_string.h
+++ b/libstdc++-v3/include/bits/cow_string.h
@@ -3755,7 +3755,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
   template<typename _CharT, typename _Traits, typename _Alloc>
   template<typename _Operation>
     [[__gnu__::__always_inline__]]
-    void
+    inline void
     basic_string<_CharT, _Traits, _Alloc>::
     __resize_and_overwrite(const size_type __n, _Operation __op)
     { resize_and_overwrite<_Operation&>(__n, __op); }

